<template>
  <div class="page-container">
    <div class="image"></div>
    <div class="signup-container">
      <h1>ثبت نام</h1>
      <RegisterForm @success="onRegister"/>
    </div>
  </div>
</template>

<script>
import RegisterForm from "@/components/auth/RegisterForm";

export default {
  name: "SignupPage",
  components: {
    RegisterForm
  },
  head() {
    return {
      title: 'ثبت نام'
    }
  },
  middleware: 'not-authenticated',
  methods: {
    onRegister() {
      this.$router.push('/shop');
    }
  }
};
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables';

.page-container 
  background $black
  display flex
  padding $page-padding
  flex-direction row-reverse
  align-items center
  @media only screen and (max-width 1330px) 
    padding $page-padding--md
  @media only screen and (max-width 600px) 
    padding $page-padding--sm

.signup-container 
  background-color $black-darken
  box-shadow 0.2rem 1rem 2rem rgba(0, 0, 0, 0.2)
  transform translateX($auth-overlap-size)
  width 70%
  text-align right
  color $white
  padding $md $lg $sm
  @media only screen and (max-width 1110px) 
    transform translateX(0)
    width 100%
    padding 0
    box-shadow none 
    background-color transparent


.image 
  background-image $auth-image-overlay, url("/images/login.jpg")
  background-blend-mode darken
  background-position center
  box-shadow: 0.2rem 1rem 2rem rgba(0, 0, 0, 0.2)
  background-size: cover
  height: $auth-image-height
  width: 30%
  @media only screen and (max-width 1110px) 
    display none

h1 
  font-size 2rem
  margin-bottom $md
  font-weight 500

</style>

